Delete an SSH key.
curl --request DELETE \
--url https://console.gmicloud.ai/api/v1/me/ssh-keys/{sshKeyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.gmicloud.ai/api/v1/me/ssh-keys/{sshKeyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.gmicloud.ai/api/v1/me/ssh-keys/{sshKeyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"group": "request",
"code": 0,
"validationDetail": [
{
"field": "sshKeyId",
"expression": "uuid",
"originalValue": "sshKeyId",
"reason": "Should be a valid UUID."
}
]
}{
"group": "ssh-key",
"code": 1600,
"message": "Delete SSH key encountered DB error.",
"traces": [
"DB error occurred."
]
}me
Delete an SSH key.
Delete an SSH key owned by the currently authenticated user.
- Users can only delete their own keys.
DELETE
/
me
/
ssh-keys
/
{sshKeyId}
Delete an SSH key.
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Path Parameters
The ID of the SSH key
- Must be a valid UUID.
Example:
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
Response
Successfully deleted the SSH key.
⌘I